ExternalSignature (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove
Class ExternalSignature

    java.lang.Object
      edu.harvard.hul.ois.jhove.Signature
          edu.harvard.hul.ois.jhove.ExternalSignature

    public class ExternalSignature

extends Signature

This class encapsulates information about external format signatures. The value of a Signature may be either a String or a byte array (stored as an int array to avoid signed byte problems).

Constructor Summary
`ExternalSignature(int[] value, SignatureType type, SignatureUseType use)` Creates an ExternalSignature given a byte array, a type, and a use requirement.
`ExternalSignature(int[] value, SignatureType type, SignatureUseType use, java.lang.String note)` Creates an ExternalSignature given a byte array, a type, a use requirement, and a note.
`ExternalSignature(java.lang.String value, SignatureType type, SignatureUseType use)` Creates an ExternalSignature given a string value, a type, and a use requirement.
`ExternalSignature(java.lang.String value, SignatureType type, SignatureUseType use, java.lang.String note)` Creates an ExternalSignature given a string value, a type, a use requirement, and a note.

Method Summary

Methods inherited from class edu.harvard.hul.ois.jhove.Signature
`getNote, getType, getUse, getValue, getValueHexString, getValueString, isStringValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExternalSignature

    public ExternalSignature(java.lang.String value,
                             SignatureType type,
                             SignatureUseType use)

  Creates an ExternalSignature given a string value, a type, and a use requirement.

### ExternalSignature

    public ExternalSignature(int[] value,
                             SignatureType type,
                             SignatureUseType use)

  Creates an ExternalSignature given a byte array, a type, and a use requirement.

### ExternalSignature

    public ExternalSignature(java.lang.String value,
                             SignatureType type,
                             SignatureUseType use,
                             java.lang.String note)

  Creates an ExternalSignature given a string value, a type, a use requirement, and a note.

### ExternalSignature

    public ExternalSignature(int[] value,
                             SignatureType type,
                             SignatureUseType use,
                             java.lang.String note)

  Creates an ExternalSignature given a byte array, a type, a use requirement, and a note.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD